package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 活动分类类型
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum ActivityShareEnum implements BaseEnum<String, ActivityShareEnum> {

    MUSIC_SHEET("曲谱"),
    MUSIC("音乐"),
    VIP("会员"),
    VIDEO("视频"),
    LIVE("直播"),
    GOODS("商品"),
    ;

    @EnumValue
    private String code;
    private String msg;

    ActivityShareEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
